unit Unit3;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, StdCtrls;

type
  TForm3 = class(TForm)
    StringGrid1: TStringGrid;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Button1: TButton;
    procedure FormResize(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
 TSimTablo = record
    MusNo:word;
    GelZam:real;
    SerBas1:real;
    SerBas2:real;
    SerSur1:real;
    SerSur2:real;
    SerBit1:real;
    SerBit2:real;
    BekMus1:byte;
    BekMus2:byte;
    BekSur1:real;
    BekSur2:real;
    BosSur1:real;
    BosSur2:real;
  end;

var
  Form3: TForm3;
  i:integer;
  SimTablo:TSimTablo;
  SimTabloDosya:file of TSimTablo;
  TopBekMus1,TopBekMus2:word;
  TopBekSur1,TopBekSur2,TopBosSur1,TopBosSur2,BenZam:real;

implementation

{$R *.DFM}

procedure TForm3.FormResize(Sender: TObject);
begin

stringgrid1.width:=form3.clientwidth-20;
end;

procedure TForm3.FormActivate(Sender: TObject);
begin
TopBekMus1:=0;
TopBekMus2:=0;
TopBekSur1:=0;
TopBekSur2:=0;
TopBosSur1:=0;
TopBosSur2:=0;
System.Assign(SimTabloDosya,'SimTD.dat');
Reset(SimTabloDosya);
stringgrid1.colcount:=15;
stringgrid1.rowcount:=50;

StringGrid1.Cells[1,0]:='MNo';
StringGrid1.Cells[2,0]:='GeliZam';
StringGrid1.Cells[3,0]:='SerBa1';
StringGrid1.Cells[4,0]:='SerBa2';
StringGrid1.Cells[5,0]:='SerSr1';
StringGrid1.Cells[6,0]:='SerSr2';
StringGrid1.Cells[7,0]:='SerBit1';
StringGrid1.Cells[8,0]:='SerBit2';
StringGrid1.Cells[9,0]:='BekM1';
StringGrid1.Cells[10,0]:='BekM2';
StringGrid1.Cells[11,0]:='BekSr1';
StringGrid1.Cells[12,0]:='BekSr2';
StringGrid1.Cells[13,0]:='BoSur1';
StringGrid1.Cells[14,0]:='BoSur2';
i:=1;
while not eof(SimTabloDosya) do
begin
System.Read(SimTabloDosya,SimTablo);
StringGrid1.Cells[1,i]:=inttostr(SimTablo.MusNo);
StringGrid1.Cells[2,i]:=floattostrf(SimTablo.GelZam,fffixed,5,2);
StringGrid1.Cells[3,i]:=floattostrf(SimTablo.SerBas1,fffixed,5,2);
StringGrid1.Cells[4,i]:=floattostrf(SimTablo.SerBas2,fffixed,5,2);
StringGrid1.Cells[5,i]:=floattostrf(SimTablo.SerSur1,fffixed,5,2);
StringGrid1.Cells[6,i]:=floattostrf(SimTablo.SerSur2,fffixed,5,2);
StringGrid1.Cells[7,i]:=floattostrf(SimTablo.SerBit1,fffixed,5,2);
StringGrid1.Cells[8,i]:=floattostrf(SimTablo.SerBit2,fffixed,5,2);
StringGrid1.Cells[9,i]:=inttostr(SimTablo.BekMus1);
StringGrid1.Cells[10,i]:=inttostr(SimTablo.BekMus2);
StringGrid1.Cells[11,i]:=floattostrf(SimTablo.BekSur1,fffixed,5,2);
StringGrid1.Cells[12,i]:=floattostrf(SimTablo.BekSur2,fffixed,5,2);
StringGrid1.Cells[13,i]:=floattostrf(SimTablo.BosSur1,fffixed,5,2);
StringGrid1.Cells[14,i]:=floattostrf(SimTablo.BosSur2,fffixed,5,2);
i:=i+1;
TopBekMus1:=TopBekMus1+SimTablo.BekMus1;
TopBekMus2:=TopBekMus2+SimTablo.BekMus2;
TopBekSur1:=TopBekSur1+SimTablo.BekSur1;
TopBekSur2:=TopBekSur2+SimTablo.BekSur2;
TopBosSur1:=TopBosSur1+SimTablo.BosSur1;
TopBosSur2:=TopBosSur2+SimTablo.BosSur2;
BenZam:=SimTablo.GelZam;
end;
System.Close(SimTabloDosya);
Label7.Caption:=floattostrf(TopBekMus1/(i-1),fffixed,5,2);
Label8.Caption:=floattostrf(TopBekSur1/(i-1),fffixed,5,2);
Label9.Caption:=floattostrf(TopBosSur1/BenZam,fffixed,5,2);

Label10.Caption:=floattostrf(TopBekMus2/(i-1),fffixed,5,2);
Label11.Caption:=floattostrf(TopBekSur2/(i-1),fffixed,5,2);
Label12.Caption:=floattostrf(TopBosSur2/BenZam,fffixed,5,2);

end;

procedure TForm3.Button1Click(Sender: TObject);
begin
close;
end;

end.
