unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls,Unit2,Unit3, ComCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Header1: THeader;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Image1: TImage;
    ProgressBar1: TProgressBar;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure BekMusOn2;
    procedure BekMusOn1;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
  TSimTablo = record
    MusNo:word;
    GelZam:real;
    SerBas1:real;
    SerBas2:real;
    SerSur1:real;
    SerSur2:real;
    SerBit1:real;
    SerBit2:real;
    BekMus1:byte;
    BekMus2:byte;
    BekSur1:real;
    BekSur2:real;
    BosSur1:real;
    BosSur2:real;
  end;
var
  Form1: TForm1;
  SimTablo:TSimTablo;
  SimTabloDosya:File of TSimTablo;
  SimTabloDizi:Array[1..50] of TSimTablo;
  Gs:Array[1..50] of Real;
  Ss:Array[1..50] of Real;
  i,j:integer;
  ASerBit1,ASerBit2:Real;
  BekMusInx1,BekMusInx2:byte;
implementation

{$R *.DFM}
procedure TForm1.BekMusOn2;
begin
if (BekMusInx2>0) and (SimTabloDizi[i-1].BekMus2>0) then
 begin
 j:=BekMusInx2;
 if SimTabloDizi[i].GelZam>SimTabloDizi[j].SerBas2 then
  begin
  while SimTabloDizi[i].GelZam>SimTabloDizi[j].SerBas2 do
   begin
   if SimTabloDizi[j].SerBas2 <> 0 then
    begin
    SimTabloDizi[i].BekMus2:=SimTabloDizi[i-1].BekMus2-1;
    end;
   j:=j+1;
   end;
  BekMusInx2:=j;
  end else
  begin
  SimTabloDizi[i].BekMus2:=SimTabloDizi[i-1].BekMus2;
  end;
 end else
 begin
 SimTabloDizi[i].BekMus2:=0;
 end;
end;

procedure TForm1.BekMusOn1;
begin
if (BekMusInx1>0) and (SimTabloDizi[i-1].BekMus1>0) then
 begin
 j:=BekMusInx1;
 if SimTabloDizi[i].GelZam>SimTabloDizi[j].SerBas1 then
  begin
  while SimTabloDizi[i].GelZam>SimTabloDizi[j].SerBas1 do
   begin
   if SimTabloDizi[j].SerBas1 <> 0 then
    begin
    SimTabloDizi[i].BekMus1:=SimTabloDizi[i-1].BekMus1-1;
    end;
    j:=j+1;
   end;
  BekMusInx1:=j;
  end else
  begin
  SimTabloDizi[i].BekMus1:=SimTabloDizi[i-1].BekMus1;
  end;
 end else
 begin
 SimTabloDizi[i].BekMus1:=0;
 end;
end;


procedure TForm1.Button1Click(Sender: TObject);
begin
form2.showmodal;
Button2.Enabled:=true;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
form3.showmodal;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
close;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin

{***Gelileraras sreler ve servis srelerinin dosyadan okunmas****}
ProgressBar1.Max:=MusSayi;
System.Assign(GsDosya,'gsrandom.dat');
Reset(GsDosya);
System.Assign(SsDosya,'ssrandom.dat');
Reset(SsDosya);
for i:=1 to MusSayi do
 begin
 ProgressBar1.Position:=i;
 Readln(GsDosya,Gs[i]);
 Readln(SsDosya,Ss[i]);
 end;
System.Close(GsDosya);
System.Close(SsDosya);

{***************Balang deerleri**********************}

ASerBit1:=0;ASerBit2:=0;
BekMusInx1:=0;BekMusInx2:=0;

{*****************Simlasyon  Algoritmas*******************}

for i:=1 to MusSayi do
 begin
 SimTabloDizi[i].MusNo:=i;
 if i=1 then SimTabloDizi[i].GelZam:=Gs[i]
 else SimTabloDizi[i].GelZam:=SimTabloDizi[i-1].GelZam+Gs[i];

 if SimTabloDizi[i].GelZam<ASerbit1 then
  begin
  if SimTabloDizi[i].GelZam<ASerbit2 then
   begin
   if SimTabloDizi[i-1].BekMus1=SimTabloDizi[i-1].BekMus2 then
    begin
    if ASerBit1<ASerBit2 then
     begin
     SimTabloDizi[i].SerBas1:=ASerbit1;
     SimTabloDizi[i].SerBas2:=0;
     SimTabloDizi[i].SerSur1:=Ss[i];
     SimTabloDizi[i].SerSur2:=0;
     SimTabloDizi[i].SerBit1:=SimTabloDizi[i].SerBas1+SimTabloDizi[i].SerSur1;
     SimTabloDizi[i].SerBit2:=0;
     if SimTabloDizi[i-1].BekMus1=0 then BekMusInx1:=i;
     SimTabloDizi[i].BekMus1:=SimTabloDizi[i-1].BekMus1 + 1;
     BekMusOn2;
     SimTabloDizi[i].BekSur1:=SimTabloDizi[i].SerBas1-SimTabloDizi[i].GelZam;
     SimTabloDizi[i].BekSur2:=0;
     SimTabloDizi[i].BosSur1:=0;
     SimTabloDizi[i].BosSur2:=0;
     ASerBit1:=SimTabloDizi[i].SerBit1;
     end else
     begin
     SimTabloDizi[i].SerBas1:=0;
     SimTabloDizi[i].SerBas2:=ASerBit2;
     SimTabloDizi[i].SerSur1:=0;
     SimTabloDizi[i].SerSur2:=Ss[i];
     SimTabloDizi[i].SerBit1:=0;
     SimTabloDizi[i].SerBit2:=SimTabloDizi[i].SerBas2+SimTabloDizi[i].SerSur2;
     if SimTabloDizi[i-1].BekMus2=0 then BekMusInx2:=i;
     SimTabloDizi[i].BekMus2:=SimTabloDizi[i-1].BekMus2+1;
     BekMusOn1;
     SimTabloDizi[i].BekSur1:=0;
     SimTabloDizi[i].BekSur2:=SimTabloDizi[i].SerBas2-SimTabloDizi[i].GelZam;
     SimTabloDizi[i].BosSur1:=0;
     SimTabloDizi[i].BosSur2:=0;
     ASerBit2:=SimTabloDizi[i].SerBit2;
     end;
    end else
    begin
    if SimTabloDizi[i-1].BekMus1<SimTabloDizi[i-1].BekMus2 then
     begin
     SimTabloDizi[i].SerBas1:=ASerbit1;
     SimTabloDizi[i].SerBas2:=0;
     SimTabloDizi[i].SerSur1:=Ss[i];
     SimTabloDizi[i].SerSur2:=0;
     SimTabloDizi[i].SerBit1:=SimTabloDizi[i].SerBas1+SimTabloDizi[i].SerSur1;
     SimTabloDizi[i].SerBit2:=0;
     if SimTabloDizi[i-1].BekMus1=0 then BekMusInx1:=i;
     SimTabloDizi[i].BekMus1:=SimTabloDizi[i-1].BekMus1+1;
     BekMusOn2;
     SimTabloDizi[i].BekSur1:=SimTabloDizi[i].SerBas1-SimTabloDizi[i].GelZam;
     SimTabloDizi[i].BekSur2:=0;
     SimTabloDizi[i].BosSur1:=0;
     SimTabloDizi[i].BosSur2:=0;
     ASerBit1:=SimTabloDizi[i].SerBit1;
     end else
     begin
     SimTabloDizi[i].SerBas1:=0;
     SimTabloDizi[i].SerBas2:=ASerBit2;
     SimTabloDizi[i].SerSur1:=0;
     SimTabloDizi[i].SerSur2:=Ss[i];
     SimTabloDizi[i].SerBit1:=0;
     SimTabloDizi[i].SerBit2:=SimTabloDizi[i].SerBas2+SimTabloDizi[i].SerSur2;
     if SimTabloDizi[i-1].BekMus2=0 then BekMusInx2:=i;
     SimTabloDizi[i].BekMus2:=SimTabloDizi[i-1].BekMus2+1;
     BekMusOn1;
     SimTabloDizi[i].BekSur1:=0;
     SimTabloDizi[i].BekSur2:=SimTabloDizi[i].SerBas2-SimTabloDizi[i].GelZam;
     SimTabloDizi[i].BosSur1:=0;
     SimTabloDizi[i].BosSur2:=0;
     ASerBit2:=SimTabloDizi[i].SerBit2;
     end;
    end;
   end else
   begin
   SimTabloDizi[i].SerBas1:=0;
   SimTabloDizi[i].SerBas2:=SimTabloDizi[i].GelZam;
   SimTabloDizi[i].SerSur1:=0;
   SimTabloDizi[i].SerSur2:=Ss[i];
   SimTabloDizi[i].SerBit1:=0;
   SimTabloDizi[i].SerBit2:=SimTabloDizi[i].SerBas2+SimTabloDizi[i].SerSur2;
   SimTabloDizi[i].BekMus2:=0;
   BekMusInx2:=0;
   BekMusOn1;
   SimTabloDizi[i].BekSur1:=0;
   SimTabloDizi[i].BekSur2:=0;
   if SimTabloDizi[i-1].SerBit1<>0 then
    begin
    if SimTabloDizi[i].GelZam>ASerBit1 then
     SimTabloDizi[i].BosSur1:=SimTabloDizi[i].GelZam-ASerBit1
     else
     SimTabloDizi[i].BosSur1:=0;
    end else
    begin
    SimTabloDizi[i].BosSur1:=SimTabloDizi[i].GelZam-SimTabloDizi[i-1].GelZam;
    end;
   SimTabloDizi[i].BosSur2:=SimTabloDizi[i].GelZam-ASerBit2;
   ASerBit2:=SimTabloDizi[i].SerBit2;
   end;
  end else
  begin
  SimTabloDizi[i].SerBas1:=SimTabloDizi[i].GelZam;
  SimTabloDizi[i].SerBas2:=0;
  SimTabloDizi[i].SerSur1:=Ss[i];
  SimTabloDizi[i].SerSur2:=0;
  SimTabloDizi[i].SerBit1:=SimTabloDizi[i].SerBas1+SimTabloDizi[i].SerSur1;
  SimTabloDizi[i].SerBit2:=0;
  SimTabloDizi[i].BekMus1:=0;
  BekMusInx1:=0;
  BekMusOn2;
  SimTabloDizi[i].BekSur1:=0;
  SimTabloDizi[i].BekSur2:=0;
  if SimTabloDizi[i-1].SerBit2<>0 then
   begin
   if SimTabloDizi[i].GelZam>ASerBit2 then
    SimTabloDizi[i].BosSur2:=SimTabloDizi[i].GelZam-ASerBit2
    else
    SimTabloDizi[i].BosSur2:=0;
   end else
   begin
   SimTabloDizi[i].BosSur2:=SimTabloDizi[i].GelZam-SimTabloDizi[i-1].GelZam;
   end;
  SimTabloDizi[i].BosSur1:=SimTabloDizi[i].GelZam-ASerBit1;
  ASerBit1:=SimTabloDizi[i].SerBit1;
  end;
 end;
{*****Tablo deerlerinin dosyaya yazlmas***********}
System.Assign(SimTabloDosya,'SimTD.dat');
ReWrite(SimTabloDosya);
for i:=1 to MusSayi do
begin
SimTablo.MusNo:=SimTabloDizi[i].MusNo;
SimTablo.GelZam:=SimTabloDizi[i].GelZam;
SimTablo.SerBas1:=SimTabloDizi[i].SerBas1;
SimTablo.SerBas2:=SimTabloDizi[i].SerBas2;
SimTablo.SerSur1:=SimTabloDizi[i].SerSur1;
SimTablo.SerSur2:=SimTabloDizi[i].SerSur2;
SimTablo.SerBit1:=SimTabloDizi[i].SerBit1;
SimTablo.SerBit2:=SimTabloDizi[i].SerBit2;
SimTablo.BekMus1:=SimTabloDizi[i].BekMus1;
SimTablo.BekMus2:=SimTabloDizi[i].BekMus2;
SimTablo.BekSur1:=SimTabloDizi[i].BekSur1;
SimTablo.BekSur2:=SimTabloDizi[i].BekSur2;
SimTablo.BosSur1:=SimTabloDizi[i].BosSur1;
SimTablo.BosSur2:=SimTabloDizi[i].BosSur2;
System.Write(SimTabloDosya,SimTablo);
end;
System.Close(SimTabloDosya);
Button3.Enabled:=true;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Button2.Enabled:=false;
Button3.Enabled:=false;
end;

end.
